Bug 130791 - up2date reports file conflicts that rpm doesn't
Summary: up2date reports file conflicts that rpm doesn't
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-24 19:07 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 03:48:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2004-08-24 19:07:02 UTC
Description of problem:
Starting from bind-9.2.4rc7-7 man-pages-1.66-2 installed on the
system, running up2date to a local (file://) yum repository containing
today's rawhide (headers generated locally with yum-arch), up2date
reports a file conflict for the resolver man page, but installing
man-pages-1.67-2 with rpm before or after running up2date -u
--exclude=man-pages, that updates to bind-9.2.4-EL4_1, neither up2date
nor rpm report any conflict whatsoever.

It appears that up2date is being overly conservative in its conflict
detection.

Version-Release number of selected component (if applicable):
up2date-4.3.24-1

Comment 1 Adrian Likins 2004-08-26 19:51:14 UTC
is this a multilib box?

Comment 2 Alexandre Oliva 2004-08-27 13:01:48 UTC
Nope, pure i386.

Comment 3 Barry K. Nathan 2004-10-25 09:44:19 UTC
It could also be that RPM is too liberal now (as opposed to up2date
being too conservative). See bug 131766 for more info on RPM's
behavior change.

Comment 4 Barry K. Nathan 2004-10-25 10:36:05 UTC
OBTW, yum 2.1.10's file conflict behavior seems to match up2date's (in
my experience anyway).

Comment 5 Matthew Miller 2006-07-10 22:34:30 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 Alexandre Oliva 2006-08-01 03:48:37 UTC
up2date is no longer available in newer releases.


Note You need to log in before you can comment on or make changes to this bug.